Subject: Re: [RFC/PATCH 1/5] gettext: fix bug in git-sh-i18n's eval_gettext() by using envsubst(1)

From: Johannes Sixt <[email-masked]>
Date: Tue, 09 Nov 2010 13:53:29 +0100

Am 11/9/2010 13:38, schrieb Ævar Arnfjörð Bjarmason:
> I understood your previous comments to mean that the invocation time
> of git-* on one hand and cat(1) on the other hand had to do with how
> many DLL's the former needed.

I was only guessing; I can't explain the timing difference.

> Since git-sh-i18n--envsubst needs the same DLL's (i.e. the libc) as
> cat(1) and *nothing else* it should be as fast as cat(1) and not as
> slow as git-*(1) once I fix that unfortunate Makefile bug, right?

Wrong. Please accept it as a fact (and I'll forgive your ignorance ;) I
would like to spend the time explaining the reasons only if you want to
compile git on Windows yourself.

-- Hannes